Derby's FowardCompatibility goal is to allow any application written against the public interfaces of an older version of Derby to run, without any changes, against a newer version of Derby. Any incompatible changes should be a conscious decision and be recorded in Jira with the "Existing Application Impact" checkbox.

To verify this is true for the 10.2 release and to help ensure you don't have problems upgrading *after* the release, please test applications that use Derby and make sure we have provided as seamless an upgrade as possible for existing applications. Try your own application or some other application that uses Derby.

Table of Contents

How to do Application Testing for 10.2

  1. Download the latest snapshot from Derby downloads or the latest 10.2 unofficial build by following the link the same page. (Check test results first if using the unofficial build.)

  2. Try an application. Perform a tutorial, do formal regression tests or just do something ad hoc. Note: There is no in-place upgrade to/from 10.2, so typically you want to make a new database from scratch. Maybe try DDLUtils to migrate.

  3. Report any issues you found. See Tips for Filing Apache Derby Bugs and PerformanceDiagnosisTips for tips on reporting issues.

  4. Record your results below. In the comments section indicate if you saw any performance changes, if you found intentional changes that were not marked properly in Jira or if you had to make any changes to your application to make it work with 10.2. Click here for known changes that might affect existing applications.

Record your Testing

List your completed application testing here. Note: Some applications may be listed twice if folks have performed different kinds of testing.

Name of Application

Build Tested

Tests Performed

Tester

Bugs Filed

Comments

SQuirreL SQL Client 2.2

10.2.1.6

Used Susan Cline's instructions (http://db.apache.org/derby/integrate/SQuirreL_Derby.html) for use of SQuirreL on Derby

Henri van de Scheur

none

With my limited knowledge, I did not encounter any problems

JDO 2.0 RI

10.2.0.4.423199

Ran the JDO 2.0 RI against the official JDO 2.0 TCK using the 10.2.0.4 version as underlying datastore implementation.

Michael Bouschen

none

Tests succeeded

Torque

3.2

Ran the Torque Tutorial

Jean Anderson

none

Worked fine

Testing Ideas

Test your favorite application with Derby 10.2. The table below has a few examples. See Derby Resources, WorkingWithDerby and UsesOfDerby for more possibilities.

Name of Application

Build Tested

Tests Performed

Tester

Bugs Filed

Comments

DDLUtils

DDLUtils tutorial

Tomcat

iBATIS JPetStore Demo

TenTwoApplicationTesting (last edited 2009-09-20 22:11:21 by localhost)